@ECHO off
title MorkaMod test rom
//@del /f /q %DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.txt
:Start
cls
echo enable USB Debugging on the tablet
echo I think everyone should have a backup before 
echo flashing a custom rom! by vinnie
echo ***** choose  options *****
echo 1. adb test devices
echo 2. run logcat
echo 3. run dumping backup
echo 9. Quit
set /p choice=Choose  options (1,2,9):
if %choice%==1 goto adb
if %choice%==2 goto logcat
if %choice%==3 goto dump
if %choice%==9 exit

:adb
cls
echo  - Make sure you have only one device listed. 
echo  (EX: 0123456789ABCDEF)
adb devices
pause
goto Start

:logcat
cls
@ECHO OFF
//FOR /F "tokens=1" %%i in ('type Log_MorkaMod_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.txt') do echo filelist %%i
//@del /f /q Log_MorkaMod_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.txt  >> Log_MorkaMod_%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%.txt
adb logcat
pause
goto Start

:dump
cls 
adb root
adb remount
adb push rkdump /data/ 
adb shell cat /proc/mtd
echo (check partition number and partition name)
adb shell chmod 755 /data/rkdump
echo ***** choose  options *****
echo 4. dumping kernel.img, boot.img, recovery.img and system.img
echo 5. dumping update.img
echo 6. back

set /p choice=Choose  options (4,5,6):
if %choice%==4 goto kernel
if %choice%==5 goto update
if %choice%==6 back

:kernel
echo dumping kernel.img ...
adb shell /data/rkdump /dev/block/mtdblock1 /sdcard/kernel.img
echo done
cls
echo dumping boot.img ...
adb shell /data/rkdump /dev/block/mtdblock2 /sdcard/boot.img
echo done
cls
echo dumping recovery.img...
adb shell /data/rkdump /dev/block/mtdblock3 /sdcard/recovery.img
echo done
cls
echo dumping system.img...
adb shell /data/rkdump /dev/block/mtdblock4 /sdcard/system.img
echo done
cls
echo while the backup is on the sd card on your tablet
echo ( kernel.img, boot.img, recovery.img and system.img)
pause
goto start

:update
echo dumping update.img...
adb shell /data/rkdump /dev/block/mtdblock5 /sdcard/update.img
echo update.img found
echo Done.
cls
echo the backup is on the sd card on your tablet
echo ( update.img )
pause
goto start
